CGLDA
Date: 2011-06-15

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pawjaw.topics
Class CGLDA

    java.lang.Object
      com.pawjaw.topics.CGLDA

    public class CGLDA

extends java.lang.Object

Field Summary
`java.util.List<java.lang.Double>` | `avglls`
`static double` | `DEFAULT_ALPHASUM`
`static double` | `DEFAULT_BETA`
`static int` | `DEFAULT_BURNIN`
`static int` | `DEFAULT_SAMPLEFREQ`
`static int` | `DEFAULT_SAMPLES`
`java.lang.Integer[]` | `dk_k`
`int[]` | `n_k`
`java.util.List<int[]>` | `n_ks`
`double[][]` | `phi_kw`
`long` | `real_burnin_millis`
`long` | `real_estimates_millis`
`double[][]` | `theta_dk`
`java.lang.String` | `timing`

Constructor Summary
`CGLDA(Matrix word_count_documents_in_columns, int topics, double alpha, double[][] beta_wk, int burnin, int samplefreq, int samples, ProgressCallback notifier)`
`CGLDA(Matrix word_count_documents_in_columns, int topics, double alpha, double beta, int burnin, int samplefreq, int samples, ProgressCallback notifier)`
`CGLDA(Matrix word_count_documents_in_columns, int topics, ProgressCallback notifier)`
`CGLDA(Matrix word_count_documents_in_columns, Matrix word_count_documents_in_columns_heldout, int topics, double alpha, double[][] beta_wk, int burnin, int samplefreq, int samples, int heldout_log_likelihood_estimates, ProgressCallback notifier)`
`CGLDA(Matrix word_count_documents_in_columns_training, Matrix word_count_documents_in_columns_heldout, int topics, double alpha, double beta, int burnin, int samplefreq, int samples, int heldout_log_likelihood_estimates, ProgressCallback notifier)`

Method Summary

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### real_burnin_millis

    public long real_burnin_millis

### real_estimates_millis

    public long real_estimates_millis

### timing

    public java.lang.String timing

### avglls

    public java.util.List<java.lang.Double> avglls

### n_ks

    public java.util.List<int[]> n_ks

### n_k

    public int[] n_k

### dk_k

    public java.lang.Integer[] dk_k

### phi_kw

    public double[][] phi_kw

### theta_dk

    public double[][] theta_dk

### DEFAULT_ALPHASUM

    public static final double DEFAULT_ALPHASUM

See Also:
  Constant Field Values

### DEFAULT_BETA

    public static final double DEFAULT_BETA

See Also:
  Constant Field Values

### DEFAULT_BURNIN

    public static final int DEFAULT_BURNIN

See Also:
  Constant Field Values

### DEFAULT_SAMPLEFREQ

    public static final int DEFAULT_SAMPLEFREQ

See Also:
  Constant Field Values

### DEFAULT_SAMPLES

    public static final int DEFAULT_SAMPLES

See Also:
  Constant Field Values

Constructor Detail

### CGLDA

    public CGLDA(Matrix word_count_documents_in_columns,
                 int topics,
                 ProgressCallback notifier)

### CGLDA

    public CGLDA(Matrix word_count_documents_in_columns_training,
                 Matrix word_count_documents_in_columns_heldout,
                 int topics,
                 double alpha,
                 double beta,
                 int burnin,
                 int samplefreq,
                 int samples,
                 int heldout_log_likelihood_estimates,
                 ProgressCallback notifier)

### CGLDA

    public CGLDA(Matrix word_count_documents_in_columns,
                 int topics,
                 double alpha,
                 double beta,
                 int burnin,
                 int samplefreq,
                 int samples,
                 ProgressCallback notifier)

### CGLDA

    public CGLDA(Matrix word_count_documents_in_columns,
                 Matrix word_count_documents_in_columns_heldout,
                 int topics,
                 double alpha,
                 double[][] beta_wk,
                 int burnin,
                 int samplefreq,
                 int samples,
                 int heldout_log_likelihood_estimates,
                 ProgressCallback notifier)

### CGLDA

    public CGLDA(Matrix word_count_documents_in_columns,
                 int topics,
                 double alpha,
                 double[][] beta_wk,
                 int burnin,
                 int samplefreq,
                 int samples,
                 ProgressCallback notifier)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD